Subject: Re: bug#16542: 24.3.50; When finding a file via a bookmark, that file is not part of file-name-history

From: Juri Linkov <[email-masked]>
Date: Tue, 28 Jan 2014 09:28:03 +0200

> 1. A user option such as what you describe, but with nil meaning
>    "go for it generally: let the command decide", a non-nil list as
>    you mention meaning "do not let these commands decide", and any
>    other non-nil value meaning "do not let any command decide".

I think a cleaner solution would be to have two separate history lists:

1. history of minibuffer input
2. history of visited files

and a new option to select which history to access via M-p
in the minibuffer that reads a file name.

Actually we already have a history of recently visited files
in recentf, so we could add `bookmark-jump' to `recentf-used-hooks'.
Or maybe this is not needed because it already contains `find-file-hook'.